--- src/base_bigstring.h	2023-04-25 21:12:24.000000000 +0800
+++ src/base_bigstring.h	2023-10-25 15:23:59.000000000 +0800
@@ -3,6 +3,13 @@
 
 #include <caml/bigarray.h>
 
+#ifdef __APPLE__
+#include <AvailabilityMacros.h>
+#if MAC_OS_X_VERSION_MAX_ALLOWED <= 1060
+#include <LegacySupport/string.h>
+#endif
+#endif
+
 /* Bigarray flags for creating a [Bigstring.t] */
 #define BASE_BIGSTRING_FLAGS (CAML_BA_CHAR | CAML_BA_C_LAYOUT)
 
--- src/dune	2023-04-25 21:12:24.000000000 +0800
+++ src/dune	2023-10-25 19:59:56.000000000 +0800
@@ -1,3 +1,3 @@
 (library (name base_bigstring) (public_name base_bigstring)
- (js_of_ocaml (javascript_files runtime.js)) (libraries base int_repr)
- (c_names base_bigstring_stubs) (preprocess (pps ppx_jane)))
\ No newline at end of file
+ (js_of_ocaml (javascript_files runtime.js)) (libraries base int_repr) (c_library_flags -lMacportsLegacySupport)
+ (c_names base_bigstring_stubs) (preprocess (pps ppx_jane)))
